Bug 70533 - LG CRD8522 CD-ROM + Serverworks chipset: CD mount leads to hang
Summary: LG CRD8522 CD-ROM + Serverworks chipset: CD mount leads to hang
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-02 09:19 UTC by Holger Klein
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Holger Klein 2002-08-02 09:19:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
When using a  CD-ROM 52x LG CRD8522 B on a ServerWorks chipset (e.g. Grand 
Champion LE ServerSet, ServerSet III HE-SL, ServerSet III LE) with RedHat 7.3 
(default i686 kernel, versions 2.4.18-3 / 2.4.18-5) the 
command 'mount /dev/cdrom' leads to the following message:

ide-floppy driver 0.99.newide
hda: ATAPI 52x CD-ROM drive, 128 kB Cache, DMA
Serverworks OSB4 in impossible state.
Disable UDMA or if you are using Seagate then try switching disk types
on this controller. Please report this event to osb4-bug@ide.cabal.tm
OSB4: continuing might cause disk corruption

Afterwards the server hangs, the keyboard is dead. The error occurs independant 
of Bios settings for the ATA port, even without DMA. It does not occur using 
RedHat 7.2 or SuSE 8.0. Other CD-ROMs do work properly.
This error has been reported to LG as well.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. problem occured on any installation with default kernel, independant of 
harddisk configuration or packages installed
2.
3.
	

Additional info:

Comment 1 Arjan van de Ven 2002-08-02 09:21:24 UTC
Does this still happen if you disable dma on the cdrom with

hdparm -d 0 /dev/hdX

(where X is the letter of the ide interface)

Comment 2 Holger Klein 2002-08-02 13:12:50 UTC
When DMA is disabled using hdparm the CD can be mounted. Nevertheless it should 
work with DMA as it does with other CD-ROMs and with RedHat 7.2, doesn't it.

Comment 3 Bugzilla owner 2004-09-30 15:39:48 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.